Maintenance
4 endpoints
GET
/api/v1/maintenance/{id}
Parameters, body & responses
Parameters
| Name | In | Type | Description |
|---|
| id* |
path |
string · uuid |
|
Responses
| Status | Meaning | Body |
|---|
| 200 | OK | WorkOrderDto |
POST
/api/v1/maintenance/{id}/close
Parameters, body & responses
Parameters
| Name | In | Type | Description |
|---|
| id* |
path |
string · uuid |
|
Request body application/json
| Field | Type | Description |
|---|
| resolutionNote |
string? |
|
POST
/api/v1/maintenance/breakdown/{breakdownTicketId}
Parameters, body & responses
Parameters
| Name | In | Type | Description |
|---|
| breakdownTicketId* |
path |
string · uuid |
|
Responses
| Status | Meaning | Body |
|---|
| 200 | OK | CreatedWorkOrderResponse |
POST
/api/v1/maintenance/preventive/{machineId}
Parameters, body & responses
Parameters
| Name | In | Type | Description |
|---|
| machineId* |
path |
string · uuid |
|
Responses
| Status | Meaning | Body |
|---|
| 200 | OK | CreatedWorkOrderResponse |
No endpoints match your search.